EDBROWSE(1)

NAME
edbrowse - Command Line editor, browser, and mail client

SYNOPSIS
edbrowse [-v] [-h] [-c]
edbrowse [-d[#]] [-f[#]] [-[p]m] [-[p]fm[#]]
edbrowse [-d[#]] -m[#] addr1 addr2 ... file [attachments]
edbrowse [-d[#]] [-e] [-c configFile] file1 file2 ...

DESCRIPTION
edbrowse is a combination of editor, browser, and mail client text based. You can specify several mail accounts and indicate one by its index following the email options.

The options are as follows:

-v  print version

-h  print help

-c  without argument edit the default configuration file. If the first argument is -c filename , edbrowse uses it as config file

-e  exit when it encounters an error, usually used by batch scripts

-m  with no other arguments, interactive mail reader

m[#]
    specify an email account index [#]

-f  fetch mail from all accounts, except the ones that you have marked nofetch.

-f[#]
    specify an index [#] to fetch mail from a single account. For instance, -f1 will fetch mail from the first mail account

-fm retrieve and read email (combine the -f and -m options)

-pm -pfm
    like -f and -fm options but pass over the filters

The debug options:

-d0 silent

-d1 show the sizes of files and web pages as they are read and written

-d2 show the url as you call up a web page and http redirection

-d3 javascript execution and errors: cookies, http codes, form data, and sql statements logged

-d4 show the socket connections, http headers in and out, html syntax errors as per tidy5, tree of nodes internal to edbrowse, side effects of running javascript and dynamic node linkage

-d5 messages to and from javascript, url resolution, tidy html nodes

-d6 show javascript to be executed

-d7 reformatted regular expressions, breakline chunks

-d8 text lines freed, debug garbage collection

-d9 not used

FILES
$home/.ebrc is the configuration file.

DIAGNOSTICS
The error message is left in a buffer, which you can see by typing 'h' in the ed(1) style.

SEE ALSO
ed(1) edbrowse is, at first glance, a reimplementation of ed

Full guide userguide.html, type:

    edbrowse /usr/pkg/local/share/doc/edbrowse/usersguide.html

AUTHORS
edbrowse was primarily written by Karl Dahlke <eklhad@comcast.net>.

This manual page was written by Alfonso Sabato Siciliano <asiciliano@FreeBSD.org>.